:root {
  /* generic */
  --bg: #fff;
  --text: #111;
  --body-width: 90rem;
  --font-size: 1rem;
  /* primary color */
  --pc: #85c3b1;
  /* header */
  --head-bg: var(--pc);
  --head-bg-left: var(--head-bg);
  --head-bg-right: var(--head-bg);
}
@media (prefers-color-scheme: dark) {
  :root {
    --bg: #234;
    --text: #fff;
    --pc: red;
    --head-bg: #333 !important;
    --head-bg-left: #222 !important;
    --head-bg-right: #444 !important;
  }
}
html {
  background: var(--bg);
  scroll-behavior: smooth;
}
* {
  outline-color: var(--pc);
  outline-offset: .2rem;
}
body {
  box-sizing: border-box;
  color: var(--text);
  font-size: var(--font-size);
  width: 87.5%;
  padding-left: 12.5%;
  max-width: var(--body-width);
  margin: 0 auto;
  font-family: system-ui, sans-serif;
}
label {
  display: block;
  cursor: pointer;
}
mark {
  background: #ff9;
}
main {
  background: inherit;
}
main > section:first-of-type {
  color: #fff;
}
main > section:first-of-type::before {
  background: var(--head-bg) linear-gradient(45deg, var(--head-bg-left), var(--head-bg-right)) !important;
  padding-top: 9rem !important;
  top: -9rem !important;
  height: 16rem;
}
@media (prefers-color-scheme: dark) {
  main > section:first-of-type::before {
    mix-blend-mode: luminosity;
  }
}
main > section {
  padding: 3rem 0 5rem;
  position: relative;
}
main > section:nth-of-type(odd):not(:last-of-type)::before {
  content: '';
  background: rgba(200,200,200,.1);
  display: block;
  position: absolute;
  top: 0;
  left: -77%;
  right: -77%;
  bottom: 0;
  z-index: -100;
}
p, q, aside {
  line-height: 1.5;
}
li {
  margin: .5rem 0;
}
h1, h2, h3, h4, h5, h6 {
  font-family: ui-serif, serif;
  font-style: italic;
  font-weight: 500;
}
h1 small {
  opacity: .7;
  font-size: .7em;
  display: inline-block;
}
article h3 {
  margin: 0;
}
article p {
  margin-bottom: 0;
}
section {
  width: 55%;
}
a, a:link, a:visited {
  color: inherit;
}
a {
  text-decoration: none;
  background: linear-gradient(var(--bg), var(--bg)), linear-gradient(var(--bg), var(--bg)), linear-gradient(currentColor, currentColor);
  background-size: .05em 1px, .05em 1px, 1px 1px;
  background-repeat: no-repeat, no-repeat, repeat-x;
  background-position: 0 93%, 100% 93%, 0 93%;
}
a:link::selection,
a:link::-moz-selection {
  background: #b4d5fe;
}
button {
  border: 0;
  color: #fff;
  font-size: 1.4rem;
  background: var(--pc);
  padding: 1rem 1.5rem;
  border-radius: .15rem;
  cursor: pointer;
}
section > h2 {
  margin: 4rem 0;
  letter-spacing: -1px;
  font-size: 3rem;
}
section > h2::before {
  content: '';
  display: block;
  width: 5rem;
  height: .25rem;
  background: var(--pc);
  margin-bottom: 1rem;
}
section > h2::after {
  content: '';
  height: 8rem;
  position: absolute;
  left: -100%;
  right: 50%;
  z-index: -100;
  margin-top: -4rem;
  background-image: radial-gradient(currentColor 1px, transparent 1px);
  background-size: .4em .4em;
  opacity: .2;
}
section > figure {
  color: var(--pc);
  font-size: 8rem;
  margin-top: 0;
  margin-bottom: 0;
}
section > article {
  position: relative;
  padding: 1rem 1.5em;
  margin: 1rem -1.5rem;
  box-shadow: rgba(200,200,200,.5) 0 0 .5rem;
  background: var(--bg);
}
section > article > aside {
  position: absolute;
  top: 0;
  right: 0;
  opacity: .7;
}
section > article > a + aside {
  padding: 1em 0;
}
a[href],
a[href] * {
  cursor: pointer;
}
a[href][target="_blank"] {
  margin-right: 1rem;
  display: inline-block;
}
a[href][target="_blank"]::after {
  content: "↗";
  font-size: 80%;
  line-height: 1.8;
  margin-left: 2px;
  position: absolute;
  vertical-align: middle;
}
article > a {
  display: block;
  background: inherit;
  margin: -1rem -1.5rem;
  padding: 1rem 1.5em;
}
article > a[href]:hover {
  padding-left: 1rem;
}
article:hover aside {
  opacity: 1;
}
article > a[href]:not([href=""]):not([href^="#"])::after {
  content: '→';
  position: absolute;
  top: 1rem;
  right: 1.5rem;
  opacity: .3;
}
article > a[href]:hover::after {
  right: 2rem;
}
aside {
  float: right;
  clear: right;
  margin-right: -60%;
  width: 50%;
  margin-top: 0;
  margin-bottom: 0;
}
hr {
  opacity: .2;
  height: 0;
  width: 3em;
  margin: 2em 0;
}
main > aside {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 30%;
  height: 100%;
  margin: 0;
  background: inherit;
}
main > aside > figure {
  width: 100%;
  height: 100%;
  margin: 0;
}
main > aside > figure > * {
  width: 100%;
  height: 100%;
  object-fit: cover;
  mix-blend-mode: darken;
}
@media (min-width: 761px) {
  main > aside {
    display: block;
  }
  main > aside ~ section {
    margin-left: calc(8em + 7%);
  }
}
figure > img {
  pointer-events: none;
  user-select: none;
}
iframe {
  border: 0;
  width: 100%;
  height: 24rem;
}
footer nav {
  display: flex;
  justify-content: space-evenly;
}
@media (max-width: 760px) {
  html::before {
    content: none;
  }
  body {
    width: 92%;
    padding-left: 0;
    padding-right: 0;
  }
  section {
    width: 100%;
  }
  section::before {
    margin-left: -4% !important;
    margin-right: -4% !important;
    left: 0 !important;
    right: 0 !important;
  }
  aside {
    display: none;
  }
}
code {
  display: block;
  position: relative;
  background: #ccc linear-gradient(#eee, #ddd 1rem, #fff 1rem);
  text-align: center;
  padding-top: 1rem;
  border-radius: .15rem .15rem 0 0;
  width: 50vw;
  max-width: 100%;
  margin: 1rem 0;
}
code pre {
  display: block;
  padding: 1em 1.5rem;
  background: #145;
  color: #fff;
  text-align: left;
  margin: 0;
  border-radius: 0 0 .15rem .15rem;
}
code::before {
  content: "•••";
  position: absolute;
  top: .1rem; left: .5rem;
  font-size: 1.5rem;
  line-height: 1rem;
  color: #ccc;
}
code::after {
  content: attr(title);
  position: absolute;
  top: 0; left: 0; right: 0;
  margin: auto;
  display: inline-block;
  text-align: center;
  font-size: 80%;
  line-height: 1rem;
  opacity: .5;
}
